/centralstationcrm-people | Type: Application | PCID required: Yes
Tools
centralstationcrm_people_delete_api_people_by_id
Destroy a person Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | id |
no_log | boolean | No | — | Set to true if you don’t want to generate a activity for the stream. |
centralstationcrm_people_delete_api_people_by_person_id_addrs_by_id
Destroy a addrs Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
person_id | integer | Yes | — | ID of the person the addr belong to |
id | integer | Yes | — | ID of the contact detail |
centralstationcrm_people_delete_api_people_by_person_id_assis_by_id
Destroy a assi Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
person_id | integer | Yes | — | ID of the person the assi belong to |
id | integer | Yes | — | ID of the assi |
centralstationcrm_people_delete_api_people_by_person_id_avatars_by_id
delete avatar Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | id |
person_id | string | Yes | — | person_id |
centralstationcrm_people_delete_api_people_by_person_id_contact_details_by_id
Destroy a contact_detail Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
person_id | integer | Yes | — | ID of the person the contact details belong to |
id | integer | Yes | — | ID of the contact detail |
centralstationcrm_people_delete_api_people_by_person_id_custom_fields_by_id
Destroy a custom_field Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
person_id | integer | Yes | — | ID of the person the custom fields belong to |
id | integer | Yes | — | ID of the custom field |
centralstationcrm_people_delete_api_people_by_person_id_historic_events_by_id
Destroy a historic_event Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
person_id | integer | Yes | — | ID of the person the historic event belong to |
id | integer | Yes | — | ID of the historic event |
centralstationcrm_people_delete_api_people_by_person_id_positions_by_id
Destroy a position Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
person_id | integer | Yes | — | person_id |
id | string | Yes | — | id |
centralstationcrm_people_delete_api_people_by_person_id_tags_by_id
Destroy a tag Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
person_id | integer | Yes | — | person_id |
id | string | Yes | — | id |
centralstationcrm_people_get_api_people
Retrieves all people Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
perpage | integer | No | — | Elements per page, maximum of 250 |
page | integer | No | — | Retrieve records of the given page |
order | string | No | — | Ordering of records using one of the following order options: abc-asc, abc-desc, new-asc, new-desc, update-asc, update-desc |
includes | string | No | — | possible includes are: positions, companies, deals, projects, tags, tasks, tasks_pending, pending_tasks, upcoming_cal_events, tels, emails, ims, sms, homepages, addrs, addrs_from_company, custom_fields, historic_events, assis, connections, user separated by space. Receive all includes using the ‘all’ value. |
methods | string | No | — | Possible methods are: responsible_user_natural_name, salutation_official, salutation_formal, salutation_informal, backlink, stream_updated_at, absolute_url, absolute_avatar_url separated by space. Receive all methods using the ‘all’ value. |
tag_id | integer | No | — | Optionally submit a tag ID in order to only see people tagged with the submitted tag |
tag_name | string | No | — | Optionally submit a tag name in order to only see people tagged with the submitted tag |
stream_updated_at_before | string | No | — | Optionally submit a date or timestamp (ISO 8601) in order to only see people with activities within the stream earlier than the submitted point in time. |
stream_updated_at_after | string | No | — | Optionally submit a date or timestamp (ISO 8601) in order to only see people with activities within the stream later than the submitted point in time. |
custom_fields | string | No | — | Optionally submit one or multiple custom field types to filter by their value. This shall be formatted like custom_fields[custom_field_type_id]=value |
filter | object | No | — | Optionally submit one of the people attributes in order to filter by them (e.g. { ‘name’: { ‘equal’: ‘your-value’ } }). Allowed filter modifiers are smaller_than, larger_than, equal, between or in. Whereas smaller_than, larger_than and equal expect one value, between expects exactly two values comma separated (e.g. { 'between': '2023-01-01,2023-02-01' }) and in allows a list of comma separated options (e.g. { 'in': '23,42,99' }). |
centralstationcrm_people_get_api_people_by_id
Retrieves a person Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | id |
includes | string | No | — | possible includes are: positions, companies, deals, projects, tags, tasks, tasks_pending, pending_tasks, upcoming_cal_events, tels, emails, ims, sms, homepages, addrs, addrs_from_company, custom_fields, historic_events, assis, connections, user separated by space. Receive all includes using the ‘all’ value. |
methods | string | No | — | Possible methods are: responsible_user_natural_name, salutation_official, salutation_formal, salutation_informal, backlink, stream_updated_at, absolute_url, absolute_avatar_url separated by space. Receive all methods using the ‘all’ value. |
centralstationcrm_people_get_api_people_by_person_id_addrs
Retrieves all addrs of the person Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
person_id | integer | Yes | — | ID of the person the contact details belong to |
perpage | integer | No | — | Elements per page, maximum of 250 |
page | integer | No | — | Retrieve records of the given page |
order | string | No | — | Ordering of records using one of the following order options: id-asc, id-desc |
centralstationcrm_people_get_api_people_by_person_id_addrs_by_id
Retrieves the addr Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
person_id | integer | Yes | — | ID of the person the addr belong to |
id | integer | Yes | — | ID of the addr |
centralstationcrm_people_get_api_people_by_person_id_assis
Retrieves all assis of the person Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
person_id | integer | Yes | — | ID of the person the assi belong to |
order | string | No | — | Ordering of records using one of the following order options: id-asc, id-desc |
perpage | integer | No | — | Elements per page, maximum of 250 |
page | integer | No | — | Retrieve records of the given page |
centralstationcrm_people_get_api_people_by_person_id_assis_by_id
Retrieves the assi Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
person_id | integer | Yes | — | ID of the person the assi belong to |
id | integer | Yes | — | ID of the assi |
centralstationcrm_people_get_api_people_by_person_id_avatars
Retrieves all avatars Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
perpage | integer | No | — | Elements per page, maximum of 250 |
page | integer | No | — | Retrieve records of the given page |
person_id | string | Yes | — | person_id |
centralstationcrm_people_get_api_people_by_person_id_avatars_by_id
retrieve avatar Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | id |
person_id | string | Yes | — | person_id |
centralstationcrm_people_get_api_people_by_person_id_contact_details
Retrieves all contact_details of the person Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
person_id | integer | Yes | — | ID of the person the contact details belong to |
order | string | No | — | Ordering of records using one of the following order options: id-asc, id-desc |
perpage | integer | No | — | Elements per page, maximum of 250 |
page | integer | No | — | Retrieve records of the given page |
centralstationcrm_people_get_api_people_by_person_id_contact_details_by_id
Retrieves the tel Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
person_id | integer | Yes | — | ID of the person the contact details belong to |
id | integer | Yes | — | ID of the contact detail |
centralstationcrm_people_get_api_people_by_person_id_custom_fields
Retrieves all custom_fields of the person Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
person_id | integer | Yes | — | ID of the person the custom fields belong to |
order | string | No | — | Ordering of records using one of the following order options: id-asc, id-desc |
perpage | integer | No | — | Elements per page, maximum of 250 |
page | integer | No | — | Retrieve records of the given page |
includes | string | No | — | possible option: custom_fields_type |
centralstationcrm_people_get_api_people_by_person_id_custom_fields_by_id
Retrieves the custom field Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
person_id | integer | Yes | — | ID of the person the custom fields belong to |
id | integer | Yes | — | ID of the custom field |
includes | string | No | — | possible option: custom_fields_type |
centralstationcrm_people_get_api_people_by_person_id_external_emails
Retrieves all external_emails Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
order | string | No | — | Ordering of records using one of the following order options: id-asc, id-desc |
perpage | integer | No | — | Elements per page, maximum of 250 |
page | integer | No | — | Retrieve records of the given page |
includes | string | No | — | possible option: comments |
person_id | integer | Yes | — | ID of the external_emails of the desired person |
centralstationcrm_people_get_api_people_by_person_id_external_emails_count
Retrieves total amount of external_emails Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
person_id | integer | Yes | — | ID of the external_emails of the desired person |
centralstationcrm_people_get_api_people_by_person_id_historic_events
Retrieves all historic_events of the person Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
person_id | integer | Yes | — | ID of the person the historic event belong to |
order | string | No | — | Ordering of records using one of the following order options: id-asc, id-desc |
perpage | integer | No | — | Elements per page, maximum of 250 |
page | integer | No | — | Retrieve records of the given page |
centralstationcrm_people_get_api_people_by_person_id_historic_events_by_id
Retrieves the historic_event Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
person_id | integer | Yes | — | ID of the person the historic event belong to |
id | integer | Yes | — | ID of the historic event |
centralstationcrm_people_get_api_people_by_person_id_positions
Retrieves all positions Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
person_id | integer | Yes | — | person_id |
order | string | No | — | Ordering of records using one of the following order options: id-asc, id-desc |
perpage | integer | No | — | Elements per page, maximum of 250 |
page | integer | No | — | Retrieve records of the given page |
includes | string | No | — | possible includes are: person, company separated by space. Receive all includes using the ‘all’ value. |
centralstationcrm_people_get_api_people_by_person_id_positions_by_id
Retrieves a position Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
person_id | integer | Yes | — | person_id |
id | integer | Yes | — | id |
includes | string | No | — | possible includes are: person, company separated by space. Receive all includes using the ‘all’ value. |
centralstationcrm_people_get_api_people_by_person_id_tags
Retrieves all tags Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
person_id | integer | Yes | — | person_id |
perpage | integer | No | — | Elements per page, maximum of 250 |
page | integer | No | — | Retrieve records of the given page |
centralstationcrm_people_get_api_people_by_person_id_tags_by_id
Retrieves a tag Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
person_id | integer | Yes | — | person_id |
id | integer | Yes | — | id |
centralstationcrm_people_get_api_people_count
Retrieves total amount of people Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
tag_id | integer | No | — | Optionally submit a tag ID in order to only see people tagged with the submitted tag |
tag_name | string | No | — | Optionally submit a tag name in order to only see people tagged with the submitted tag |
filter | object | No | — | Optionally submit one of the people attributes in order to filter by them (e.g. { ‘name’: { ‘equal’: ‘your-value’ } }). Allowed filter modifiers are smaller_than, larger_than, equal, between or in. Whereas smaller_than, larger_than and equal expect one value, between expects exactly two values comma separated (e.g. { 'between': '2023-01-01,2023-02-01' }) and in allows a list of comma separated options (e.g. { 'in': '23,42,99' }). |
centralstationcrm_people_get_api_people_search
Retrieves people matching the search Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
perpage | integer | No | — | Elements per page, maximum of 250 |
page | integer | No | — | Retrieve records of the given page |
name | string | No | — | Retrieve people by their last name |
first_name | string | No | — | Retrieve people by their first name |
email | string | No | — | Retrieve people by their email address (mutually exclusive with phone) |
phone | string | No | — | Retrieve people by their phone number (mutually exclusive with email) |
includes | string | No | — | possible includes are: positions, companies, deals, projects, tags, tasks, tasks_pending, pending_tasks, upcoming_cal_events, tels, emails, ims, sms, homepages, addrs, addrs_from_company, custom_fields, historic_events, assis, connections, user separated by space. Receive all includes using the ‘all’ value. |
methods | string | No | — | Possible methods are: responsible_user_natural_name, salutation_official, salutation_formal, salutation_informal, backlink, stream_updated_at, absolute_url, absolute_avatar_url separated by space. Receive all methods using the ‘all’ value. |
centralstationcrm_people_get_api_people_stats
Retrieves key information of people Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
tag_id | integer | No | — | Optionally submit a tag ID in order to only see people tagged with the submitted tag |
tag_name | string | No | — | Optionally submit a tag name in order to only see people tagged with the submitted tag |
filter | object | No | — | Optionally submit one of the people attributes in order to filter by them (e.g. { ‘name’: { ‘equal’: ‘your-value’ } }). Allowed filter modifiers are smaller_than, larger_than, equal, between or in. Whereas smaller_than, larger_than and equal expect one value, between expects exactly two values comma separated (e.g. { 'between': '2023-01-01,2023-02-01' }) and in allows a list of comma separated options (e.g. { 'in': '23,42,99' }). |
centralstationcrm_people_post_api_people
creates a person Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
includes | string | No | — | possible includes are: positions, companies, deals, projects, tags, tasks, tasks_pending, pending_tasks, upcoming_cal_events, tels, emails, ims, sms, homepages, addrs, addrs_from_company, custom_fields, historic_events, assis, connections, user separated by space. Receive all includes using the ‘all’ value. |
methods | string | No | — | Possible methods are: responsible_user_natural_name, salutation_official, salutation_formal, salutation_informal, backlink, stream_updated_at, absolute_url, absolute_avatar_url separated by space. Receive all methods using the ‘all’ value. |
no_log | boolean | No | — | Set to true if you don’t want to generate a activity for the stream. |
person | object | No | — | person |
centralstationcrm_people_post_api_people_by_id_merge
merge another person Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | id |
no_log | boolean | No | — | Set to true if you don’t want to generate a activity for the stream. |
body | object | No | — | Request body |
centralstationcrm_people_post_api_people_by_person_id_addrs
Creates a basic Addr Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
person_id | integer | Yes | — | ID of the person the contact details belong to |
addr | object | No | — | addr |
centralstationcrm_people_post_api_people_by_person_id_assis
Creates an assi of the person Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
person_id | integer | Yes | — | ID of the person the assi belong to |
assi | object | No | — | assi |
centralstationcrm_people_post_api_people_by_person_id_avatars
create avatar Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
person_id | string | Yes | — | person_id |
avatar | object | No | — | avatar |
centralstationcrm_people_post_api_people_by_person_id_contact_details
Creates a basic tel Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
person_id | integer | Yes | — | ID of the person the contact details belong to |
tel | object | No | — | tel |
centralstationcrm_people_post_api_people_by_person_id_custom_fields
Creates a basic custom field Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
person_id | integer | Yes | — | ID of the person the custom fields belong to |
custom_field | object | No | — | custom_field |
centralstationcrm_people_post_api_people_by_person_id_historic_events
Creates a basic historic_event Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
person_id | integer | Yes | — | ID of the person the historic event belong to |
historic_event | object | No | — | historic_event |
centralstationcrm_people_post_api_people_by_person_id_positions
Creates a basic position Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
person_id | integer | Yes | — | person_id |
position | object | No | — | position |
centralstationcrm_people_post_api_people_by_person_id_tags
Creates a basic tag Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
person_id | integer | Yes | — | person_id |
tag | object | No | — | tag |
centralstationcrm_people_put_api_people_by_id
Update a person Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | id |
no_log | boolean | No | — | Set to true if you don’t want to generate a activity for the stream. |
person | object | No | — | person |
centralstationcrm_people_put_api_people_by_person_id_addrs_by_id
Update a addr Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
person_id | integer | Yes | — | ID of the person the addr belong to |
id | integer | Yes | — | ID of the addr |
addr | object | No | — | addr |
centralstationcrm_people_put_api_people_by_person_id_assis_by_id
Update a assi Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
person_id | integer | Yes | — | ID of the person the assi belong to |
id | integer | Yes | — | ID of the assi |
assi | object | No | — | assi |
centralstationcrm_people_put_api_people_by_person_id_contact_details_by_id
Update a contact_detail Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
person_id | integer | Yes | — | ID of the person the contact details belong to |
id | integer | Yes | — | ID of the contact detail |
tel | object | No | — | tel |
centralstationcrm_people_put_api_people_by_person_id_custom_fields_by_id
Update a custom_field Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
person_id | integer | Yes | — | ID of the person the custom fields belong to |
id | integer | Yes | — | ID of the custom field |
custom_field | object | No | — | custom_field |
centralstationcrm_people_put_api_people_by_person_id_historic_events_by_id
Update a historic_event Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
person_id | integer | Yes | — | ID of the person the historic event belong to |
id | integer | Yes | — | ID of the historic event |
historic_event | object | No | — | historic_event |
centralstationcrm_people_put_api_people_by_person_id_positions_by_id
Update a position Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
person_id | integer | Yes | — | person_id |
id | string | Yes | — | id |
position | object | No | — | position |
centralstationcrm_people_put_api_people_by_person_id_tags_by_id
Update a tag Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
person_id | integer | Yes | — | person_id |
id | string | Yes | — | id |
tag | object | No | — | tag |

